## qbc 0.9.0-1

=== debian/changelog ===
qbc (0.9.0-1) unstable; urgency=low

  * Initial release

 -- TERENYI Balazs <terenyi@freemail.hu>  Mon, 05 Sep 2011 11:43:43 +0200 
