=== debian/changelog ===
qbc (0.9.1-1) unstable; urgency=low

  * Fn button implemented (Functions window)
  * V button implemented (Variables window)
  * Various bugfixes

 -- TERENYI Balazs <terenyi@freemail.hu>  Fri, 04 Nov 2011 17:35:43 +0200 
