=== debian/control ===
Source: qbc
Section: user/utilities
Priority: optional
Maintainer: TERENYI Balazs <terenyi@freemail.hu>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: qbc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-application-manager, bc
Description: Calculator based on bc
 Frontend to bc, the GNU arbitrary precision calculator.
 More info on available commands at 
 http://www.gnu.org/software/bc/manual/bc.html
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2240
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
 SU1FB9sJBwkcDir0V1EAAApySURBVGje7ZptaFRXGsd/596beTEvapxJJplQ
 VulWutXW2C7GRk2t0lakSK1SQW37oS8SCgtbi9gupcWi0BYKpZSFQind7rf9
 4NKlXyyVpV2WUI1Fd6M0a6LUNWMyycxkZq4z9+Wc/RDvYcakOpEJC8teuOTm
 f2/OOc95nv/zdgL/v/67l6jlo6tXry4aGxv7veu6v7YsK2QYhgUYvu+jlEIp
 JX3fx/d9pJTSdV2llFJSSj2GYRgKUIZhYJqmCnDTNJUQAiEEUkp83weYam1t
 /e3999//99utzapFgEuXLv0ukUjsV0phWRamaaKUQkqpJ/U8D8/zcF0Xx3Hw
 PA+lVNU4hmHMui3LwrIsDMPA8zwKhQKe55FOp/8IrKiLAMCvTNNESsmZM2eC
 nUNKqRftui7lchnbtrFtm3K5PEsAACGE/imEIBKJ0NzcDIBt29x33300NzcT
 DoeX17KwmgQIhUIqEonw1VdfMTQ0RLFYxDAMvfu+7+udL5fLXL9+Hdd15xTg
 Zo0sWrSI5uZmfN+nXC7z3XffcejQIS1ovTSgwuEwk5OTTE9P07gsxNZtj6Ck
 wrRMlFQIQ2AIA9+XWNaMdhRgWRae42KYBqXSdYrlItfLNhMTE5iGQWPzInKZ
 PJZo4M9/OEE0GsWyrNsKrzehlo983xeVAwohcD0XDInjlpH4OK5DySlhWFBy
 Sjieg+s55As5rnsFrk1e5Z8X/oGvHDLpDJawMDFZ2tzKql+tRnkzGgVQSgVk
 ro8GPM8TwcINw8D3fEDiuj6GMHFdFwSYwuB6yUYphee5+NLHMA2Ur7AaLJYt
 a6WQs1mydAlgYAqLkBVmPDVOpcUEDqJuAtxwlZp4vvRQhsI0DXzfwzRNfF/i
 4xMKN+A4Lg1miAbNoRksEo4QjoS5eiUFSDwcjFAzia42JsbTVXPVKoBRqwYC
 EzKMmR01EShXYgkT5UpMBA3CxC05WMLAUCAkNBgmXsnFRGDdeE60xwlbIaLh
 CELC+L/HiS1rxTCMKiHqpgEpJUopIpEIsVgMpRRn/vov7f8dx8G2bXK5HPl8
 HsdxbrkAIQShUIhYLEYikaChoYGJiQmSySSZTKb+HJBSCqUUTz31FF9++SXN
 zc2EQiG9+FKpRD6fJ51Ok81mZzhxq/AvBE1NTXR2dtLZ2YlpmixZsoRQKMSO
 HTvqz4FgsFAoxDPPPINpmgghtKqDCW+kErXZ7o0obJpm4OkoFotMTExg23Z9
 TWgum6z8vVKQWiauDFLB95U/684B3/dFMPgLL7zAxMSEXsgrr7zCli1beOml
 l6rwl19+mc2bN9Pf38/k5KTG+/v76evrA+Cbb77hww8/1IuNxWK88cYbC8OB
 4Hl4eLjq3cjICFu2bJmFj46OsnnzZi5evFiFj42NaXecSqXIZDL6XTabnVPD
 9YjEesBkMlmVTd51111IKens7NQLE0LQ1dWFUoqOjo4qPB6P63Hj8XjVWB0d
 HfMWoKaM6fjx43/p6enZbpomDQ0NVSQOMlLP82oicBDNgxQ68P2u62LbtiZx
 Lpdj+/btoq4cEELw/fffk8lkNBEffPBBWlpaOHXqFLlcTv/NmjVrWLp0KYOD
 g9o0hBB0d3cTi8UAmJqa4vTp03ojFi1aRFdX17w0MC8vpJTizTffpLOzk/Hx
 cRzHYc+ePezdu5d33nmHRx99lHK5zLfffsuuXbvYu3cvR44cIZlMkkql8DyP
 5557jt27dwNw4sQJPv30U5588knS6TQDAwN89NFHCxKJdSpRKBSIxWIIIbhw
 4QKu6yKlpFAo8OOPP+L7PuFwWAteLBaJxWK0tLQwMDBAuVzW7xzHIZ/Pc/z4
 cWzb1pXeggSyYOAjR44wNTUFwBNPPEFPTw9SSl5//XWNAzz88MMoparwhx56
 iI0bN+rdfeyxx4hGo3rBjY2NCxMHgnQa4JFHHtHEC1IJz/PYsGHDnKZXiQsh
 dORVShGPx9m1axdKKVzX1ZG47tnoXLtRWdTX7PIqInDw/HO7vWAcGBgYYHp6
 Wmtg9erVtLS08MMPPzA9Pa0nfuCBB1iyZEkVLoRg7dq1OqOdmppicHBQb0Y0
 GqWzs3NBChqdSrz11lssXryYjo4OhoaG2LlzJ3v27OHYsWOsXbsW27ar8KNH
 j9Ld3Y3rupw7d45nn31Wm83XX3/NZ599RjweR0pJJpPhgw8+qEog617QFAoF
 otEop06dIp/P6+5DoVCgXC5TLper8GKxyOXLl6tqheByXZd8Pk9LS4v2ZAvi
 hSqvt99+m3Q6rYuZdevWoZTi0KFDuhjp6emhp6dH44EX6uvr015IKcXWrVuJ
 RCLaHBsbGxemIqu8+vr6kFLiOE5V76e3t3fO7wM8SBsCLwTQ1tbG008/jZRS
 e6F0Oj2v9cxLAKUUBw4cmOnp3OjMPf/882zcuJHXXnuNfD6vi5oAP3jwILlc
 DtOc6V4cOHCATZs2oZTi5MmTfPzxx3oTWltbOXjwYM27XzMHKt3a8PAwS5cu
 pb29nUwmw6VLl1BKcfHiRZYvX45SqgofGRnh3nvv1SQdGxvTYwbpdDabJZvN
 MjIyMu9AZsxXAx0dHYTDYaLRKEIIkskkAO3t7YyOjpJIJGbhxWKRZDL5s+n0
 ypUraW9vp729fWHa65988smJxx9/fKtlWdpe5xvAAvu/uTsthMD3fRzHoVgs
 Mjk5iW3bjI+Ps2/fPlE3DgSubXBwkKmpKR2YVq1axeLFizl79izFYhHf96vw
 c+fOUSwWkVJiGAZr1qyhtbVVV2BDQ0O6QRwKhVi2bFn9I3GgKaUUx44dY+XK
 lVy5coV8Ps+OHTvYvXs377//Pk1NTSSTSc6fP6/xd999l2QySTQaZXh4mP37
 97Nz504ATp48yeeff17VqTh69Gj9vVBlzlMoFCgUCgghZgWyu+++m9HR0VmB
 LJvNYpom+XxenxvM9E9nKrmfqz3q6kaDyPjqq69Wpc1BIAvw7u7uWXg2m0UI
 wYYNG+jt7dWLC/h0zz33kEqldM40Hzda8/lAoIH169fP2SPq6emZkzfr16+f
 RdxKTnmex+TkJNlstqruqHdJqQ/sDh8+TKlUolQqoZRi37599Pb2VhUuQgiN
 Hz58mFAoRLlcJpvN8uKLL7Jp0ybd7XBdlytXrlRpurILUq9kTvNgZGSERCJB
 V1cXmUyGy5cv64AlpWR6enoWnsvlyOVyZDIZUqlUVcIW8KDyDoqkemnAqFRp
 W1vbzLHRjQk6OjpQStHW1qarqUo8Ho+TSqW0ZgI3CZBIJHRJGYwRnLXV2pkT
 t3kXAZrfe++9P23btm1jrQdvtzpavTmYBcV90OH+6aefyOfz2LZNf3+/Aag7
 1YAFxIFfXrt2LZZKpbgTAYIoPNcdNMeCI9pCoaBbjTfmMgD/TgUwgUagfXJy
 Mjo0NDQv91YpQHAHHih4DgSoPCgPmryGYchaUp1bCeADWWDEdd2/+b7/izvR
 QCB08K8ENwtW6TZDoRBNTU3E43HOnz9/9nbmczsBPCANFL744ovfrFix4rRp
 muvmm8EGPKisrSs6EkIIoW4IoACmp6dlOp2+EolEjgGS//XrP2zeZV2vk0cY
 AAAAAElFTkSuQmCC
 ====
